Get Projects
https://app.fossa.com/api/v2/projectsFetch the list of projects based on provided filters.
Query parameters
sortenumThe category to order the results by and sort direction.
title_asctitle_descissues-total_ascissues-total_desclatest-scan_asclatest-scan_desclast-analyzed_asclast-analyzed_descissues-licensing_ascissues-licensing_descissues-security_ascissues-security_descissues-quality_ascissues-quality_descpageintegerThe specific page of data to return
countintegerThe number of items to return in each page of results
titlestringFilter by project name.
type[]enum[]Filter by project type.
isPublicbooleanFilter by project being public or private.
labels[]string[]Filter by project labels.
teamId[]array | nullFilter by one or more team IDs. Providing "null" will return all unassigned projects.
latestScanintegerFilter by last policy scan within N days.
lastRevisionWithinintegerFilter by last revision analyzed within N days.
locators[]string[]Filter by project locators (exact match).
includeSharedProjectsbooleanInclude shared projects.
onlyIncludeSharedProjectsbooleanOnly show projects that have been shared with other organizations.
urlstringFilter by a project's URL.
Responses
200OKtotalintegerprojectsobject[]403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/projectscurl --request GET \ --url 'https://app.fossa.com/api/v2/projects' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
sortenumThe category to order the results by and sort direction.
pageintegerThe specific page of data to return
countintegerThe number of items to return in each page of results
titlestringFilter by project name.
type[]arrayFilter by project type.
isPublicbooleanFilter by project being public or private.
labels[]arrayFilter by project labels.
teamId[]arrayFilter by one or more team IDs. Providing "null" will return all unassigned projects.
latestScanintegerFilter by last policy scan within N days.
lastRevisionWithinintegerFilter by last revision analyzed within N days.
locators[]arrayFilter by project locators (exact match).
includeSharedProjectsbooleanInclude shared projects.
onlyIncludeSharedProjectsbooleanOnly show projects that have been shared with other organizations.
urlstringFilter by a project's URL.